Subject: Re: linux-next: build failure after merge of the xfs tree

From: Christoph Hellwig <[email-masked]>
Date: Tue, 29 Oct 2019 06:56:05 +0100

On Mon, Oct 28, 2019 at 04:18:06PM -0700, Darrick J. Wong wrote:
> On Tue, Oct 29, 2019 at 10:11:51AM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the xfs tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> 
> <groan> Yeah, that's the same thing reported by the kbuild robot an hour
> ago.  FWIW I pushed a fixed branch but I guess it's too late for today,
> oh well....
> 
> ...the root cause of course was the stray '}' in one of the commits,
> that I didn't catch because compat ioctls are hard. :(

Weird.  My usual builds have compat ioclts enabled, and I never got
any report like this.